function regBindings() {
  // I2C Speed Command Percentage
  gc.databind.registry.bind('widget.ti_mdbu_custom_slider_component.value',
    "my_model.DEVICE_CTRL.SPEED_CTRL",
    function (value) {
      return (value / 4095 * 100);
    },
    function (value) {
      return (value / 100 * 4095).toFixed();
    }
  );

  // VDS OCP Treshold (A)
  gc.databind.registry.bind('widget.ti_mdbu_custom_readable_component3.value', {
      vds_ocp_index: 'my_model.GD_CONFIG2.VDS_LVL',
      csa_gain_index: 'widget.ti_adv_tuning_mdbu_custom_dropdown_component9.selectedValue',
      shunt_value: 'widget.ti_mdbu_custom_numberbox_component1.value'
    },
    function (value) {
      var vds_ocp_arr = getDroplistValues('ti_fault_configure_mdbu_custom_dropdown_component64');
      var csa_gain_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component9');
      var vds_ocp = vds_ocp_arr[value.vds_ocp_index];
      var csa_gain = csa_gain_arr[value.csa_gain_index];
      var shunt_value = value.shunt_value;
      return (vds_ocp / (csa_gain * shunt_value)).toFixed(3);
    }
  );

  // Cycle by Cycle Current limit Threshold (A)
  gc.databind.registry.bind('widget.ti_mdbu_custom_readable_component4.value', {
      ilimit_thr_index: 'my_model.FAULT_CONFIG1.ILIMIT',
      csa_gain_index: 'widget.ti_adv_tuning_mdbu_custom_dropdown_component9.selectedValue',
      shunt_value: 'widget.ti_mdbu_custom_numberbox_component1.value'
    },
    function (value) {
      var ilimit_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component129');
      var csa_gain_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component9');
      var ilimit = ilimit_arr[value.ilimit_thr_index];
      var csa_gain = csa_gain_arr[value.csa_gain_index];
      var shunt_value = value.shunt_value;
      return (ilimit / (csa_gain * shunt_value)).toFixed(3);
    }
  );

  // Current sense OCP threshold (A)
  gc.databind.registry.bind('widget.ti_mdbu_custom_numberbox_component11.value', {
      ocp_thr_index: 'my_model.GD_CONFIG2.SEN_LVL',
      csa_gain_index: 'widget.ti_adv_tuning_mdbu_custom_dropdown_component9.selectedValue',
      shunt_value: 'widget.ti_mdbu_custom_numberbox_component1.value'
    },
    function (value) {
      var ocp_thr_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component48');
      var csa_gain_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component9');
      var ocp_thr = ocp_thr_arr[value.ocp_thr_index];
      var csa_gain = csa_gain_arr[value.csa_gain_index];
      var shunt_value = value.shunt_value;
      return (ocp_thr / (csa_gain * shunt_value)).toFixed(3);
    }
  );

  // Brake current threshold (A)
  gc.databind.registry.bind('widget.ti_mdbu_custom_readable_component.value', {
      brk_curr_thr_index: 'my_model.ISD_CONFIG.BRK_CURR_THR',
      csa_gain_index: 'widget.ti_adv_tuning_mdbu_custom_dropdown_component9.selectedValue',
      shunt_value: 'widget.ti_mdbu_custom_numberbox_component1.value'
    },
    function (value) {
      var brk_curr_thr_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component112');
      var csa_gain_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component9');
      var brk_curr_thr = brk_curr_thr_arr[value.brk_curr_thr_index];
      var csa_gain = csa_gain_arr[value.csa_gain_index];
      var shunt_value = value.shunt_value;
      return (brk_curr_thr / (csa_gain * shunt_value)).toFixed(3);
    }
  );

  // Align and Open Loop Current Limit Value(A)
  gc.databind.registry.bind('widget.ti_mdbu_custom_numberbox_component12.value', {
      curr_sens_amp_mode: 'my_model.GD_CONFIG2.VREF_DIV',
      align_opn_loop_ilimit_src_slct: 'my_model.MOTOR_STARTUP2.OL_ILIMIT_CONFIG',
      align_opn_loop_ilimit_index: 'my_model.MOTOR_STARTUP2.OL_ILIMIT',
      ilimit_thr_index: 'my_model.FAULT_CONFIG1.ILIMIT',
      csa_gain_index: 'widget.ti_adv_tuning_mdbu_custom_dropdown_component9.selectedValue',
      shunt_value: 'widget.ti_mdbu_custom_numberbox_component1.value'
    },
    function (value) {
      if (value.curr_sens_amp_mode == value.align_opn_loop_ilimit_src_slct) {
        var align_opn_loop_ilimit_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component111');
        var dependant_value = align_opn_loop_ilimit_arr[value.align_opn_loop_ilimit_index];
      } else {
        var ilimit_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component129');
        var dependant_value = ilimit_arr[value.ilimit_thr_index];
      }
      var csa_gain_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component9');
      var csa_gain = csa_gain_arr[value.csa_gain_index];
      var shunt_value = value.shunt_value;
      return (dependant_value / (csa_gain * shunt_value)).toFixed(3);
    }
  );

  // IPD Current Threshold (A)
  gc.databind.registry.bind('widget.ti_mdbu_custom_numberbox_component4.value', {
      curr_sens_amp_mode: 'my_model.GD_CONFIG2.VREF_DIV',
      ocp_thr_index: 'my_model.GD_CONFIG2.SEN_LVL',
      ipd_curr_thr_index: 'my_model.MOTOR_STARTUP1.IPD_CURR_THR',
      csa_gain_index: 'widget.ti_adv_tuning_mdbu_custom_dropdown_component9.selectedValue',
      shunt_value: 'widget.ti_mdbu_custom_numberbox_component1.value'
    },
    function (value) {
      if (value.curr_sens_amp_mode == 1) {
        var ocp_thr_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component48');
        var dependant_value = ocp_thr_arr[value.ocp_thr_index];
      } else {
        var ipd_curr_thr_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component15');
        var dependant_value = ipd_curr_thr_arr[value.ipd_curr_thr_index];
      }
      var csa_gain_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component9');
      var csa_gain = csa_gain_arr[value.csa_gain_index];
      var shunt_value = value.shunt_value;
      return (dependant_value / (csa_gain * shunt_value)).toFixed(3);
    }
  );

}